#! /usr/bin/env python
# -*- coding: Latin-1 -*-

# A rádiógombok használata

from Tkinter import *

class RadioDemo(Frame):
    """Demo : A radiobutton widgetek létrehozása"""
    def __init__(self, master=None):
        """Adatbeviteli mező és 4 radiobutton létrehozása"""
        Frame.__init__(self)
        self.pack()
        # Szöveget tartalmazó adatbeviteli mező :
        self.szoveg = Entry(self, width =28, font ="Arial 14")
        self.szoveg.insert(END,"A programozás nagyszerű dolog")
        self.szoveg.pack(padx =8, pady =8)
        # A 4 fontstílus magyar és technikai neve :                  
        fontStilusMa =["Normál", "Kövér", "Dőlt", "Kövér/Dőlt"]
        fontStilusTk =["normal", "bold", "italic", "bold italic"]
        # Az aktuális stílust egy 'Tkinter változóban' tároljuk;
        self.valasztottFont = StringVar()
        self.valasztottFont.set(fontStilusTk[0])
        # A 4 radiobutton létrehozása :
        for n in range(4):
            bout = Radiobutton(self,
                               text = fontStilusMa[n],
                               variable = self.valasztottFont,
                               value = fontStilusTk[n],
                               command = self.fontotValt)
            bout.pack(side =LEFT, padx =5)

    def fontotValt(self):
        """Az aktuális font helyettesítése"""
        police = "Arial 15 " + self.valasztottFont.get() 
        self.szoveg.configure(font =police)
                           
RadioDemo().mainloop()
